ru.yandex.clickhouse.response

## Class ClickHouseLZ4Stream

- java.lang.Object
- - java.io.InputStream
  - - ru.yandex.clickhouse.response.ClickHouseLZ4Stream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class ClickHouseLZ4Stream
    extends InputStream

Reader from clickhouse in lz4

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseLZ4Stream(InputStream stream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseLZ4Stream

    public ClickHouseLZ4Stream(InputStream stream)

### Method Detail

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`